language: cn
model_unique_abbr: csu_workflow_mode1_argument_select
version: 1.0
identification:
  docker_image_name: csu_workflow_mode1_argument_select:1.0
  model_name: 相关性分析与特征选择
  semantic: mode1_argument_select
  description: 该模型通过深入分析数据集中的变量相关性，智能识别并选择与目标变量最密切相关的特征,最终输出最佳的阈值权重大小。
  category_application: 预测型
  category_data:
  - 矢量点数据
  keywords:
  - 相关性分析
  - 特征选择
parameter_info:
  parameters:
  - arg_name: train_data_folder
    is_single_en_dash: false
    param_type: input_data
    name: 数据集文件夹
    description: 输入的是一个包含目标变量以及相关特征历史数据集的文件夹。数据以csv文件的格式进行保存。每个文件包含某个时间段某地区所有点的位置信息以及各类数据信息，这些信息包含在每个csv文件的列名中，示例：station_id,feature1,feature2,feature3,target,x,y。
    data_type: folder
    data_semantic: train_data_folder

  - arg_name: variable
    is_single_en_dash: false
    param_type: param
    name: 自变量或者特征名称
    description: 选取数据集中自变量或者特征列名，使用英文逗号隔开，填写示例：feature1,feature2,feature3
    data_type: str
    data_semantic: variable
    specification: #选填。参数规格
      default: u10,v10,t2m,sp,tp,AQI,PM10,NO2,CO,O3,SO2

  - arg_name: air_quality
    is_single_en_dash: false
    param_type: param
    name: 待预测的目标变量
    description: 需要预测的目标变量，如：target。
    data_type: str
    data_semantic: air quatity index that needs to be predicted
    specification: #选填。参数规格
      default: PM2.5

  - arg_name: geo_coord
    is_single_en_dash: false
    param_type: param
    name: 站点或者位置的地理坐标
    description: 选取数据集中站点或者位置的地理坐标列名，使用英文逗号隔开，填写示例： x,y
    data_type: str
    data_semantic: geo_coord
    specification:
      default: x,y

  - arg_name: best_arg
    is_single_en_dash: false
    param_type: output_data
    name: 最佳的阈值结果
    description: 输出最佳的阈值结果文件，保存的文件格式为json。
    data_type: json
    data_semantic: best_arg

application:
  domain: 相关性分析与特征选择
  objective: 智能识别并选择与目标变量最密切相关的特征,最后输出最佳的阈值权重大小。
  dimension:
  - 多维
  mechanism: 使用多元线性回归模型进行预测
operation:
  usage: 该算法需要五个参数，数据集文件夹，自变量或者特征名称，待预测的目标变量，站点或者位置的地理坐标，最优自变量和权重结果。
  exec_example:
  - docker run -v $(pwd):/data air_quality_prediction:1.0 --train_data_folder /data/data/ --pred_data_path /data/data.csv --variable u10 v10 t2m sp tp AQI PM10 NO2 CO O3 SO2 --air_quality PM2.5 --geo_coord x y --output_best_arg /data/best_arg.json
  output_display:
  - 不需要绘制可视化图表。
  license:
  - BSD
technique:
  language:
  - Python
  os:
  - Linux
  - Windows
  dependencies:
  - name: pandas
    version: 1.3.3
  - name: numpy
    version: 1.21.2
  - name: scikit-learn
    version: 0.24.2
source:
  maintainer: Yixun Liu
  organization: Central South University
  contact: 1907269689@qq.com
  integrated_softwares:
  - name: pandas
    version: 1.3.3
    license: BSD
  - name: numpy
    version: 1.21.2
    license: BSD
  - name: scikit-learn
    version: 0.24.2
    license: BSD
  references:
  - https://scikit-learn.org/stable/modules/generated/sklearn.linear_model.LinearRegression.html